Bug 10607 - Custom Install Problem - Serious
Custom Install Problem - Serious
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-05 19:44 EDT by Brian Z
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-13 10:03:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
md5sums (44.33 KB, text/plain)
2000-04-11 12:49 EDT, Jay Turner
no flags Details

  None (edit)
Description Brian Z 2000-04-05 19:44:06 EDT
I ran a custom install and selected most every category (except kernel
development).  I didn't select individual packages.  Everything was
installed successfully w/o errors.  When the computer tried to boot Linux
for the first time, it was mising some critical libraries.

KUDZU - Missing newt.so.0
X - Missing libpam.so.0
Apachie - Missing libphp3.so

I set X to start by default.  Whever I tried to use the text based log in,
another error appeared and disappeared before I could read it.  Any help
would be appreciated.  If you can tell me how to pause the screen during
Kernel bootup, I'll be able to get more accurate errors messages.
Comment 1 Michael Fulbright 2000-04-06 10:25:59 EDT
I would need to know exactly which components you installed before trying to
debug this problem. Did you choose all of them except the kernel devel package,
or were there others you didn't intall?

The files /var/log/boot.log* contain a history of boot messages - perhaps this
will help?
Comment 2 Brian Z 2000-04-07 19:36:59 EDT
Here is how the install was performed:

English Language
104-Key PC, English w/ ISO9995-3, Enable Dead Keys
3-Button PS2 Mouse, No Emulate 3-Button
Custom Install
Selected Partitions
Told lilo to reside in first sector of boot partition.
Filled out the ethernet configuration for eth0
Selected Chicago, CST
Selected Root Password, added one accout named brian
En, En, No
Packages - Selected every available category except kernel development and
           everything.  Did not select individual packages.
Monitor: Acer 34T
TGUI9680, Use Graphical Login

Then Installed.
I can't get at /var/log/boot.log.  Whenever I try to use the text based login,
an error briefly appears after entering the login name and pressing enter.
Before I can read the error, the login prompt is reset.
Comment 3 Michael Fulbright 2000-04-10 11:59:59 EDT
Try entering

linux 1

at the LILO prompt - this will put you in single user mode. You can then
read the boot log messages. Then you can enter

shutdown -h now

to cleanly shutdown the workstation.
Comment 4 Brian Z 2000-04-10 22:09:59 EDT
I was able to get at the log file:

Apr 10 16:59:37 acer syslog: syslogd startup succeeded
Apr 10 16:59:37 acer syslog: klogd startup succeeded
Apr 10 16:59:38 acer identd: identd startup succeeded
Apr 10 16:59:40 acer atd: atd startup succeeded
Apr 10 16:59:41 acer crond: crond startup succeeded
Apr 10 16:59:41 acer rc: Starting pcmcia succeeded
Apr 10 16:59:41 acer inet: inetd startup succeeded
Apr 10 16:59:42 acer lpd: lpd startup succeeded
Apr 10 16:59:42 acer keytable: Loading keymap:
Apr 10 16:59:42 acer keytable: Loading
/usr/lib/kbd/keymaps/i386/qwerty/us.kmap.gz
Apr 10 16:59:43 acer keytable: Loading system font:
Apr 10 16:59:43 acer rc: Starting keytable succeeded
Apr 10 16:59:44 acer sendmail: sendmail startup succeeded
Apr 10 16:59:44 acer gpm: gpm startup succeeded
Apr 10 16:59:47 acer httpd: Syntax error on line 248 of
/etc/httpd/conf/httpd.conf:
Apr 10 16:59:47 acer httpd: Cannot load /etc/httpd/modules/libphp3.so into
server: libpam.so.0: cannot open shared object file: No such file or directory
Apr 10 16:59:47 acer httpd: httpd startup failed
Apr 10 16:59:50 acer xfs: xfs startup succeeded
Apr 10 16:59:51 acer linuxconf: Linuxconf final setup
Apr 10 16:59:52 acer linuxconf: Error
Apr 10 16:59:52 acer linuxconf: Can't load module
Apr 10 16:59:52 acer
linuxconf: ^I/usr/lib/linuxconf/redhat/redhat.so.1.17.2
Apr 10 16:59:52 acer linuxconf: libpam.so.0: cannot open shared object file: No
such file or directory
Apr 10 16:59:54 acer rc: Starting linuxconf succeeded
Apr 10 17:00:09 acer rc: Stopping keytable succeeded
Apr 10 17:00:09 acer xfs: xfs shutdown succeeded
Apr 10 17:00:10 acer gpm: gpm shutdown succeeded
Apr 10 17:00:10 acer httpd: httpd shutdown failed
Apr 10 17:00:10 acer sendmail: sendmail shutdown succeeded
Apr 10 17:00:11 acer inet: inetd shutdown succeeded
Apr 10 17:00:11 acer atd: atd shutdown succeeded
Apr 10 17:00:12 acer crond: crond shutdown succeeded
Apr 10 17:00:12 acer lpd: lpd shutdown succeeded
Apr 10 17:00:13 acer identd: identd shutdown succeeded
Apr 10 17:00:13 acer dd: 1+0 records in
Apr 10 17:00:13 acer dd: 1+0 records out
Apr 10 17:00:13 acer random: Saving random seed succeeded
Apr 10 17:00:13 acer autofs: automount shutdown succeeded
Apr 10 17:00:14 acer apmd: apmd shutdown succeeded
Apr 10 17:00:14 acer portmap: portmap shutdown succeeded
Apr 10 17:00:15 acer network: Shutting down interface eth0 succeeded
Apr 10 17:00:17 acer syslog: klogd shutdown succeeded

The KUDZU error is not appearing in this log.  I have an idea. I burnt this CD
from an ISO I downloaded.  Maybe the rpm containing the lib file got currupted
somehow?  If you send me the MD5 checksums for the rpms, I'd be glad to check
that out.  The CD was burnt successfully and the install went without any errors
so I assumed the CD was good.
Comment 5 Jay Turner 2000-04-11 12:49:59 EDT
Created attachment 193 [details]
md5sums
Comment 6 Brian Z 2000-04-12 10:07:59 EDT
It appears that the files are corruted.  When I type rpm -i (filename), rpm says
the file doesn't appear to be a valid archive.  Thanks for your time!

BTW: This brings up another possibile bug.  Why doesn't the installer pick up &
report this error when it rpm -i's the files?  Another suggestion I have is to
put the checksum list on the CDs and have the checksums verified as rpms are
installed.  Thanks!
Comment 7 Jay Turner 2000-04-13 10:03:59 EDT
I have forwarded these recommendations to a developer for further action.

Glad that you were able to get to the bottom of this.

Note You need to log in before you can comment on or make changes to this bug.